<p class="topic">
Database Link Authentication
</p>

<p class="text">
Use the authentication tab to set the attributes required for your new database link to authenticate to and connect with a remote data source on another server.
</p>

<p class="text">
<b>Suffix managed by this database link. </b>The suffix of your directory information tree managed by this database link.
</p>

<p class="text">
<b>Connection Type</b>
</p>

<p class="text">
<b>Use LDAP (no encryption). </b>If you want the local server to use plain LDAP with no security, select this radio button.  This option must be selected to use SASL/GSSAPI authentication.
</p>

<p class="text">
<b>Use TLS/SSL (TLS/SSL encryption with LDAPS). </b><b>Deprecated.</b>  If you want the local server to use TLS/SSL for secure communication using LDAPS, select this radio button. To use this option, you must have first configured your servers to use TLS/SSL.  <b>This is Deprecated - use StartTLS instead.</b>
</p>

<p class="text">
<b>Use StartTLS (TLS/SSL encryption with LDAP). </b>If you want the local server to use TLS/SSL for secure communication using StartTLS to start an encrypted channel using LDAP, select this radio button. To use this option, you must have first configured your servers to use TLS/SSL.
</p>

<p class="text">
<b>Remote server URL. </b>The LDAP URL of the remote server to which this database link connects. The LDAP URL syntax is <br><code>ldap(s)://</code><span class="variable">server</span><code>:[</code><span class="variable">port</span><code>][</code> <span class="variable">server</span><code>[:</code><span class="variable">port</span><code>]]/</code>  NOTE: If using LDAPS, all servers specified in the URL must use LDAPS, and you must specify the LDAPS port number.  You cannot mix LDAP with LDAPS.
</p>

<p class="text">
<b>Authentication Mechanism</b>
</p>

<p class="text">
<b>Server TLS/SSL Certificate (requires TLS/SSL server set up). </b>Select this option if you want the chaining server to use its TLS/SSL server certificate for authentication. You cannot use certificate authentication unless the "Use TLS/SSL" or the "Use StartTLS" radio button in the Remote Server(s) Information section is selected. Otherwise, this option will be disabled.  The "Bind As" and Password fields are unavailable with this option because the server will use its certificate to authenticate.
</p>

<p class="text">
To use this option, you must first do the following:
</p>

<ul>
<li>
Configure TLS/SSL for both the local and remote servers.
</li>

<li>
Configure your remote server to recognize your local server's certificate as the chaining user DN (certificate mapping).
</li>
</ul>

<p class="text">
<b>SASL/GSSAPI (requires Kerberos keytab). </b>Select this option if you want the local server to use its Kerberos server credentials for authentication.  You must have the "Use LDAP" radio button in the Remote Server(s) Information section selected.  Otherwise, this option sill be disabled.  Note that SASL/GSSAPI will use an encrypted channel, so TLS/SSL is not needed with this option.
</p>

<p class="text">
To use this option, you must first do the following:
</p>

<ul>
<li>
Configure Kerberos for both your local and remote servers and assign each one a Kerberos server keytab.
</li>

<li>
Configure a SASL mapping on your remote server to map the local server's Kerberos principal to a chaing user DN.
</li>
</ul>

<p class="text">
<b>SASL/DIGEST-MD5 (SASL user id and password). </b>Select this option if you want the local server to use SASL/Digest-MD5 authentication.  This option requires a SASL user id and password.  You specify them in the Bind As and Password fields (see below).  You must configure the remote server with the appropriate SASL mapping to use this option.
</p>

<p class="text">
<b>Simple Authentication. </b>Select this option if you want the local server to use simple authentication during communication. You can choose "Use SSL/TLS" or "Use StartTLS" if you want the simple authentication to take place over a secure channel but without certificates.
</p>

<p class="text">
<b>Database link bind DN. </b>The DN used by the database link to bind with the remote server. This DN cannot be the directory manager.
</p>

<p class="text">
<b>Database link password.</b> Password used by the database link to bind with the remote server.
</p>

<p class="text">
<b>Confirm database link password.</b> Confirm the remote password.
</p>

<p class="text">
<b>Remote server checklist. </b>Lists what you need to configure on the remote server for database link to successfully chain operations.
</p>

<ul>
<li>
<b>User entry. </b>You need to create an entry in the remote database that corresponds to the DN you specified as the remote server bind DN for the database link.
</li>

<li>
<b>Suffix. </b>The suffix associated with the database link must be present on the remote server.
</li>

<li>
<b>ACI. </b>Provides a sample proxy authorization ACI that need to be added to the naming context on the remote database to which the database link points. This ACI gives the proxy administrative user access only to the data contained within the subtree on which it is specified.
</li>
</ul>
